alpm_log(3)

NAME
alpm_log - Functions to log using libalpm.

SYNOPSIS

  Functions
int alpm_logaction (alpm_handle_t *handle, const char *prefix, const char *fmt,...)
A printf-like function for logging.

Detailed Description

Functions to log using libalpm.

Function Documentation

  int alpm_logaction (alpm_handle_t * handle, const char * prefix, const char * fmt, ...)

A printf-like function for logging.

Parameters
    handle the context handle
    prefix caller-specific prefix for the log
    fmt output format

Returns
    0 on success, -1 on error (pm_errno is set accordingly)

Author

Generated automatically by Doxygen for libalpm from the source code.